# User Guide

## Taking measurements
### 1. Preparation
When you selected a tree for measurement you first need to optically mark a reference height on it. You could do this by using a stick of a known length and leaning it at the tree. The top of the stick would then be the reference height. Alternatively you could mark the height with any kind of optical marker (for example tick a piece of paper at the reference height) while using a measurement tape or stick to place it at a known height. 

For best results, make sure that you can see the marker from an comfortable distance. You should be able to see these easily: 
- the marker for the reference height
- and the top of the tree

It is recommended to get as close as possible to the tree, while still beeing able to comfortably take measurements, to get the most accurate measurements. This way small movements of your hand do not affect the results of the motion measurements as much, as the angles will be bigger.

Finally make sure to set the reference height to be your actual marker height at the top of your screen.

### 2. Measurements
The calculation needs 3 angle measurements.

#### 1st Measurement -  Top of reference height
First, mark the the reference height. 

To do so, place the top of the stick or any other optical marker as accurately as possible at the marker at the center of your screen. Try not to shake your hands too much as to not disturb the motion sensor of your phone. 

When you are ready, take the mark using the "shutter" button at the bottom of your screen.

#### 2nd Measurement: Bottom of tree
For the second measurement, mark the bottom of the tree the same way as you took the first measurement.

You should now see the calculated distance to the tree for reference. If you notice an unplausible result for this value already, it is best to start over by clicking the "reset" button and take the first two measurements again.

#### 3rd Measurement: Top of tree
Finally, point your phone to the top of the tree and take a measurement the same way you took the other measurements.

The calculated tree height is now presented to you at the top of the screen.

## Other Actions
### Restart measurement
You can, at any time, start over by using the "reset" button. You will then need to begin again with the 1st measurement.